Summary: A commandline Web gallery tool for JPEG images
Name: jpgind
Version: 0.64
Release: 1
Copyright: GPL
Group: Applications/Multimedia
Source: http://www.iki.fi/petterik/pub/jpgind/jpgind-0.64.tar.gz
BuildRoot: /var/tmp/%{name}-buildroot

%description
Jpgind is commandline tool for generating web galleries from JPEG/Exif
files. Each image's page can be supplemented with EXIF info and HTML
metadata from a separate text file.

%prep
%setup -q

%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/local/bin

install -s -m 755 jpgind $RPM_BUILD_ROOT/usr/local/bin/jpgind

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING ChangeLog jpgind.html jpgind_exif.html jpgindrc

/usr/local/bin/jpgind

%changelog
* Sun Dec 16 2002 Petteri Kettunen 
 - Lifted getopt.c, getopt.h, and getopt1.c from GNU hello. Renamed 
   external variables and getop() to supress linker warnings on Darwin.
 - Long options '--'.
 - --email, address scrambled with Javascript to prevent harvesting
 - usage rewritten and --mydocoutput added to facilitate documentation
 - rc file
 - -f option, read input pathnames from a file
 - many function names renamed e.g. my_func to myFunc
 - several inconsistencies in output styles fixed
 - updated specfile to jpgind 0.64


* Sat Nov 09 2002 Petteri Kettunen
- my first RPM, tested in RH7.3
